Bug 1075876 - Kernel Oops, null pointer dereference in timecounter_read
Kernel Oops, null pointer dereference in timecounter_read
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 42.3
x86-64 openSUSE 42.3
: P5 - None : Normal (vote)
: ---
Assigned To: Benjamin Poirier
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-13 09:38 UTC by Achim Mildenberger
Modified: 2019-08-28 08:53 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Two Kernel Oops, unable to handle kernel NULL pointer, timecounter_read (33.08 KB, text/plain)
2018-01-15 17:54 UTC, Achim Mildenberger
Details
Kernel Oops timecounter_read / e1000 (193.57 KB, text/plain)
2018-02-05 06:10 UTC, Achim Mildenberger
Details
Frequency of TIMINCA EINVAL after boot (5.68 KB, text/plain)
2018-04-18 13:55 UTC, Achim Mildenberger
Details
e1000e: Log e1000e_get_base_timinca failures on spt macs (v2) (4.07 KB, patch)
2018-04-23 08:04 UTC, Benjamin Poirier
Details | Diff
Test with kernel 4.4.127-4.g662314f-default (6.12 KB, text/plain)
2018-04-23 18:18 UTC, Achim Mildenberger
Details
e1000e: Log and workaround e1000e_get_base_timinca failures on spt macs (4.05 KB, patch)
2018-04-24 08:24 UTC, Benjamin Poirier
Details | Diff
Test with kernel 4.16.3-1.g2fd48c5-default (9.18 KB, text/plain)
2018-04-25 05:52 UTC, Achim Mildenberger
Details
output of 4.16.6-1.g5227f0d (2.27 KB, text/plain)
2018-05-02 18:50 UTC, Achim Mildenberger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Achim Mildenberger 2018-01-13 09:38:59 UTC
From time to time I encounter a kernel panic on my Laptop. Systemlog is always:

Jan 13 10:14:54 fphnbam3 kernel: BUG: unable to handle kernel NULL pointer dereference at           (null)
Jan 13 10:14:54 fphnbam3 kernel: IP: [<ffffffff811038ff>] timecounter_read+0xf/0x50
Jan 13 10:14:54 fphnbam3 kernel: PGD 0 
Jan 13 10:14:54 fphnbam3 kernel: Oops: 0000 [#1] SMP 

My impression is: The upstream fix
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?id=f7116e115acdd74bc75a4daf6492b11d43505125
is missing in the opensuse 42.3 kernels: kernel 4.4.103-36-default and in 4.4.104-39-default.

Thanks, Achim
Comment 1 Takashi Iwai 2018-01-15 07:58:52 UTC
Could you try to get the messages after that point?  It doesn't show the stack trace fully, so it's hard to guess who calls timecounter_read().

Meanwhile, please try the kernel in OBS Kernel:openSUSE-42.3 repo.  There have been lots o fixes since the previous release.
Comment 2 Achim Mildenberger 2018-01-15 17:54:19 UTC
Created attachment 756113 [details]
Two Kernel Oops, unable to handle kernel NULL pointer, timecounter_read

Thanks for the answer!

Attached is a log file (journalctl) of the last two crashes. 
Kernel versions were (1) 4.4.92-31-default and (2) 4.4.103-36-default.

No crash with 4.4.104-39-default yet. (The now up to date kernel.)
Now 4.4.104-39 is running and my plan is to see, whether this kernel already fixes the problem.
Comment 3 Takashi Iwai 2018-01-15 19:54:46 UTC
Thanks!  So the code path looks involved with e1000e.  Adding Benjamin to Cc.

Let's see whether it still appears with the latest kernel.  If yes, I guess the same can be reproduced with the latest Linus tree, too.
Comment 4 Achim Mildenberger 2018-02-05 06:10:54 UTC
Created attachment 758764 [details]
Kernel Oops timecounter_read / e1000


The kernel Oops happened again - this time with the current openSuSE 42.3 kernel: kernel-default-4.4.104-39.1.x86_64. I attach a log file, containing boot to crash.

Two remarks: 
(1) The crash happens always after almost exactly 4 hours of uptime.
(2) This looks like the same problem to me:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1668356
(but unfortunately, no solution)

Thanks, Achim
Comment 5 Achim Mildenberger 2018-02-05 16:38:15 UTC
Comment on attachment 758764 [details]
Kernel Oops timecounter_read / e1000

>-- Reboot --
>Feb 04 15:49:20 fphnbam3 systemd-journald[115]: Runtime journal (/run/log/journal/) is currently using 8.0M.
>                                                Maximum allowed usage is set to 393.1M.
>                                                Leaving at least 589.7M free (of currently available 3.8G of space).
>                                                Enforced usage limit is thus 393.1M, of which 385.1M are still available.
>Feb 04 15:49:20 fphnbam3 kernel: microcode: CPU0 microcode updated early to revision 0x80, date = 2018-01-04
>Feb 04 15:49:20 fphnbam3 kernel: Initializing cgroup subsys cpuset
>Feb 04 15:49:20 fphnbam3 kernel: Initializing cgroup subsys cpu
>Feb 04 15:49:20 fphnbam3 kernel: Initializing cgroup subsys cpuacct
>Feb 04 15:49:20 fphnbam3 kernel: Linux version 4.4.104-39-default (geeko@buildhost) (gcc version 4.8.5 (SUSE Linux) ) #1 SMP Thu Jan 4 08:11:03 UTC 2018 (7db1912)
>Feb 04 15:49:20 fphnbam3 kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-4.4.104-39-default root=UUID=4c4a9b05-41d3-4fbd-aeaa-fd1f7a497b67 ro resume=/dev/nvme0n1p5 splash=silent quiet showopts
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: xstate_offset[3]:  960, xstate_sizes[3]:   64
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: xstate_offset[4]: 1024, xstate_sizes[4]:   64
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: Supporting XSAVE feature 0x008: 'MPX bounds registers'
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: Supporting XSAVE feature 0x010: 'MPX CSR'
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: Enabled xstate features 0x1f, context size is 1088 bytes, using 'standard' format.
>Feb 04 15:49:20 fphnbam3 kernel: x86/fpu: Using 'eager' FPU context switches.
>Feb 04 15:49:20 fphnbam3 kernel: e820: BIOS-provided physical RAM map:
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000000000000-0x0000000000057fff] usable
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000000058000-0x0000000000058fff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000000059000-0x000000000008bfff] usable
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x000000000008c000-0x00000000000fffff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000000100000-0x0000000090686fff] usable
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000090687000-0x0000000090687fff] ACPI NVS
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000090688000-0x0000000090688fff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000090689000-0x0000000099fc1fff] usable
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000099fc2000-0x000000009b52bfff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x000000009b52c000-0x000000009b54cfff] ACPI NVS
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x000000009b54d000-0x000000009b54dfff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x000000009b54e000-0x000000009b599fff] ACPI NVS
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x000000009b59a000-0x000000009b5fefff] ACPI data
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x000000009b5ff000-0x000000009b5fffff] usable
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x000000009b600000-0x000000009f7fffff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x00000000f8000000-0x00000000fbffffff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x00000000fe010000-0x00000000fe010fff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: BIOS-e820: [mem 0x0000000100000000-0x000000025e7fffff] usable
>Feb 04 15:49:20 fphnbam3 kernel: NX (Execute Disable) protection: active
>Feb 04 15:49:20 fphnbam3 kernel: e820: update [mem 0x8e281018-0x8e291057] usable ==> usable
>Feb 04 15:49:20 fphnbam3 kernel: extended physical RAM map:
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000000000000-0x0000000000057fff] usable
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000000058000-0x0000000000058fff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000000059000-0x000000000008bfff] usable
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000000008c000-0x00000000000fffff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000000100000-0x000000008e281017] usable
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000008e281018-0x000000008e291057] usable
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000008e291058-0x0000000090686fff] usable
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000090687000-0x0000000090687fff] ACPI NVS
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000090688000-0x0000000090688fff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000090689000-0x0000000099fc1fff] usable
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000099fc2000-0x000000009b52bfff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000009b52c000-0x000000009b54cfff] ACPI NVS
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000009b54d000-0x000000009b54dfff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000009b54e000-0x000000009b599fff] ACPI NVS
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000009b59a000-0x000000009b5fefff] ACPI data
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000009b5ff000-0x000000009b5fffff] usable
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x000000009b600000-0x000000009f7fffff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x00000000f8000000-0x00000000fbffffff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x00000000fe010000-0x00000000fe010fff] reserved
>Feb 04 15:49:20 fphnbam3 kernel: reserve setup_data: [mem 0x0000000100000000-0x000000025e7fffff] usable
>Feb 04 15:49:20 fphnbam3 kernel: efi: EFI v2.50 by Lenovo
>Feb 04 15:49:20 fphnbam3 kernel: efi: efi:  SMBIOS=0x9a6be000 efi:  SMBIOS 3.0=0x9a6bb000 efi:  ACPI=0x9b5fe000 efi:  ACPI 2.0=0x9b5fe014 efi:  MPS=0x9aa89000 efi:  ESRT=0x9a588000 efi:  MEMATTR=0x94330018 efi: 
>Feb 04 15:49:20 fphnbam3 kernel: SMBIOS 3.0.0 present.
>Feb 04 15:49:20 fphnbam3 kernel: DMI: LENOVO 20HGS0UN00/20HGS0UN00, BIOS N1WET35W (1.14 ) 07/12/2017
>Feb 04 15:49:20 fphnbam3 kernel: e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
>Feb 04 15:49:20 fphnbam3 kernel: e820: remove [mem 0x000a0000-0x000fffff] usable
>Feb 04 15:49:20 fphnbam3 kernel: e820: last_pfn = 0x25e800 max_arch_pfn = 0x400000000
>Feb 04 15:49:20 fphnbam3 kernel: MTRR default type: write-back
>Feb 04 15:49:20 fphnbam3 kernel: MTRR fixed ranges enabled:
>Feb 04 15:49:20 fphnbam3 kernel:   00000-9FFFF write-back
>Feb 04 15:49:20 fphnbam3 kernel:   A0000-BFFFF uncachable
>Feb 04 15:49:20 fphnbam3 kernel:   C0000-FFFFF write-protect
>Feb 04 15:49:20 fphnbam3 kernel: MTRR variable ranges enabled:
>Feb 04 15:49:20 fphnbam3 kernel:   0 base 00C0000000 mask 7FC0000000 uncachable
>Feb 04 15:49:20 fphnbam3 kernel:   1 base 00A0000000 mask 7FE0000000 uncachable
>Feb 04 15:49:20 fphnbam3 kernel:   2 base 009E000000 mask 7FFE000000 uncachable
>Feb 04 15:49:20 fphnbam3 kernel:   3 base 009D000000 mask 7FFF000000 uncachable
>Feb 04 15:49:20 fphnbam3 kernel:   4 disabled
>Feb 04 15:49:20 fphnbam3 kernel:   5 disabled
>Feb 04 15:49:20 fphnbam3 kernel:   6 disabled
>Feb 04 15:49:20 fphnbam3 kernel:   7 disabled
>Feb 04 15:49:20 fphnbam3 kernel:   8 disabled
>Feb 04 15:49:20 fphnbam3 kernel:   9 disabled
>
>[.. snip ..]
>
>Feb 04 19:49:22 fphnbam3 liblogging-stdlog[956]: -- MARK --
>Feb 04 19:50:07 fphnbam3 kernel: BUG: unable to handle kernel NULL pointer dereference at           (null)
>Feb 04 19:50:07 fphnbam3 kernel: IP: [<ffffffff8110509f>] timecounter_read+0xf/0x50
>Feb 04 19:50:07 fphnbam3 kernel: PGD 0 
>Feb 04 19:50:07 fphnbam3 kernel: Oops: 0000 [#1] SMP 
>Feb 04 19:50:07 fphnbam3 kernel: Modules linked in: ctr ccm fuse rfcomm af_packet nf_log_ipv6 xt_comment nf_log_ipv4 nf_log_common xt_LOG xt_limit sd_mod ip6t_REJECT nf_reject_ipv6 nf_conntrack_ipv6 nf_defrag_ipv6 ipt_REJECT nf_reject_ipv4 xt_pkttype xt_tcpudp iptable_filter ip6table_mangle nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 ip_tables xt_conntrack nf_conntrack ip6table_filter ip6_tables bnep x_tables msr snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp arc4 snd_hda_codec_realtek snd_hda_codec_generic kvm irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel drbg ansi_cprng snd_hda_intel nls_iso8859_1 snd_hda_codec snd_hda_core snd_hwdep nls_cp437 snd_pcm vfat fat iwlmvm snd_timer iTCO_wdt hid_generic iTCO_vendor_support uas snd
>Feb 04 19:50:07 fphnbam3 kernel:  mac80211 uvcvideo aesni_intel videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core e1000e v4l2_common aes_x86_64 lrw gf128mul iwlwifi glue_helper ptp ablk_helper cryptd usbhid videodev usb_storage pcspkr joydev soundcore pps_core i2c_i801 btusb cfg80211 btrtl mei_me shpchp mei ucsi wmi thermal battery ac hci_uart btbcm btqca btintel bluetooth pinctrl_sunrisepoint pinctrl_intel rfkill intel_lpss_acpi intel_lpss mfd_core tpm_crb fjes acpi_pad processor ext4 crc16 jbd2 mbcache serio_raw xhci_pci xhci_hcd usbcore i915(O) usb_common i2c_algo_bit nvme drm_kms_helper(O) syscopyarea sysfillrect sysimgblt nvme_core fb_sys_fops drm(O) i2c_hid video button sg scsi_mod efivarfs autofs4
>Feb 04 19:50:07 fphnbam3 kernel: CPU: 3 PID: 5534 Comm: kworker/3:0 Tainted: G           O     4.4.104-39-default #1
>Feb 04 19:50:07 fphnbam3 kernel: Hardware name: LENOVO 20HGS0UN00/20HGS0UN00, BIOS N1WET35W (1.14 ) 07/12/2017
>Feb 04 19:50:07 fphnbam3 kernel: Workqueue: events e1000e_systim_overflow_work [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel: task: ffff88022ff903c0 ti: ffff88022df40000 task.ti: ffff88022df40000
>Feb 04 19:50:07 fphnbam3 kernel: RIP: 0010:[<ffffffff8110509f>]  [<ffffffff8110509f>] timecounter_read+0xf/0x50
>Feb 04 19:50:07 fphnbam3 kernel: RSP: 0018:ffff88022df43de0  EFLAGS: 00010046
>Feb 04 19:50:07 fphnbam3 kernel: RAX: 0000000000000000 RBX: ffff88008fa1f7a0 RCX: ffff88025e595cd8
>Feb 04 19:50:07 fphnbam3 kernel: RDX: 0000000000000001 RSI: ffff88022df43e20 RDI: 0000000000000000
>Feb 04 19:50:07 fphnbam3 kernel: RBP: ffff88022df43e10 R08: 0000000100360000 R09: 0000000000000000
>Feb 04 19:50:07 fphnbam3 kernel: R10: ffff880187c014c0 R11: 0000000080000000 R12: ffff88008fa1f7d0
>Feb 04 19:50:07 fphnbam3 kernel: R13: 0000000000000282 R14: ffff88022df43e20 R15: 00000000000000c0
>Feb 04 19:50:07 fphnbam3 kernel: FS:  0000000000000000(0000) GS:ffff88025e580000(0000) knlGS:0000000000000000
>Feb 04 19:50:07 fphnbam3 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
>Feb 04 19:50:07 fphnbam3 kernel: CR2: 0000000000000000 CR3: 0000000001e0c000 CR4: 0000000000360670
>Feb 04 19:50:07 fphnbam3 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
>Feb 04 19:50:07 fphnbam3 kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
>Feb 04 19:50:07 fphnbam3 kernel: Stack:
>Feb 04 19:50:07 fphnbam3 kernel:  ffff88008fa1f780 ffffffffa07b9bff ffff88008fa1f6d0 ffff88025e595cc0
>Feb 04 19:50:07 fphnbam3 kernel:  ffffe8ffffd81900 0000000000000000 ffff88024d328b80 ffffffffa07b9d4d
>Feb 04 19:50:07 fphnbam3 kernel:  0000000000000246 ffff88025e593aa0 ffff88008fa1f6d0 ffffffff8109b425
>Feb 04 19:50:07 fphnbam3 kernel: Call Trace:
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffffa07b9bff>] e1000e_phc_gettime+0x2f/0x60 [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffffa07b9d4d>] e1000e_systim_overflow_work+0x1d/0x80 [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109b425>] process_one_work+0x155/0x440
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109bfe6>] worker_thread+0x116/0x4c0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1612>] kthread+0xd2/0xf0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81634e5f>] ret_from_fork+0x3f/0x70
>Feb 04 19:50:07 fphnbam3 kernel: DWARF2 unwinder stuck at ret_from_fork+0x3f/0x70
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel: Leftover inexact backtrace:
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1540>] ? kthread_park+0x50/0x50
>Feb 04 19:50:07 fphnbam3 kernel: Code: e0 48 83 e8 01 48 89 43 18 5b 5d 41 5c c3 0f 1f 40 00 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 53 48 8b 07 48 89 fb 48 89 c7 <ff> 10 48 8b 0b 48 89 c2 48 2b 53 08 8b 71 10 48 23 51 08 48 0f 
>Feb 04 19:50:07 fphnbam3 kernel: RIP  [<ffffffff8110509f>] timecounter_read+0xf/0x50
>Feb 04 19:50:07 fphnbam3 kernel:  RSP <ffff88022df43de0>
>Feb 04 19:50:07 fphnbam3 kernel: CR2: 0000000000000000
>Feb 04 19:50:07 fphnbam3 kernel: ---[ end trace 216615a65e842a35 ]---
>Feb 04 19:50:07 fphnbam3 kernel: BUG: sleeping function called from invalid context at ../include/linux/sched.h:2901
>Feb 04 19:50:07 fphnbam3 kernel: in_atomic(): 1, irqs_disabled(): 1, pid: 5534, name: kworker/3:0
>Feb 04 19:50:07 fphnbam3 kernel: CPU: 3 PID: 5534 Comm: kworker/3:0 Tainted: G      D    O     4.4.104-39-default #1
>Feb 04 19:50:07 fphnbam3 kernel: Hardware name: LENOVO 20HGS0UN00/20HGS0UN00, BIOS N1WET35W (1.14 ) 07/12/2017
>Feb 04 19:50:07 fphnbam3 kernel: Workqueue: events e1000e_systim_overflow_work [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel:  0000000000000000 ffffffff8133d5b7 ffff88022ff903c0 000000000000159e
>Feb 04 19:50:07 fphnbam3 kernel:  ffffffff81091cc1 0000000000000046 0000000000000009 000000000000159e
>Feb 04 19:50:07 fphnbam3 kernel:  ffffffff81084d31 ffffffff00000000 0000000000000010 ffff88022df43c30
>Feb 04 19:50:07 fphnbam3 kernel: Call Trace:
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8101a0d9>] dump_trace+0x59/0x320
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8101a49a>] show_stack_log_lvl+0xfa/0x180
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8101b241>] show_stack+0x21/0x40
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8133d5b7>] dump_stack+0x5c/0x85
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81091cc1>] exit_signals+0x21/0x130
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81084d31>] do_exit+0xb1/0xb60
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8101ab5c>] oops_end+0x9c/0xd0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81067db7>] no_context+0x107/0x370
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810688a4>] __do_page_fault+0x84/0x4e0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81068d2b>] do_page_fault+0x2b/0x70
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81637578>] page_fault+0x28/0x30
>Feb 04 19:50:07 fphnbam3 kernel: DWARF2 unwinder stuck at page_fault+0x28/0x30
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel: Leftover inexact backtrace:
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8110509f>] ? timecounter_read+0xf/0x50
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffffa07b9bff>] ? e1000e_phc_gettime+0x2f/0x60 [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffffa07b9d4d>] ? e1000e_systim_overflow_work+0x1d/0x80 [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109b425>] ? process_one_work+0x155/0x440
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109bfe6>] ? worker_thread+0x116/0x4c0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109bed0>] ? rescuer_thread+0x350/0x350
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109bed0>] ? rescuer_thread+0x350/0x350
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1612>] ? kthread+0xd2/0xf0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1540>] ? kthread_park+0x50/0x50
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81634e5f>] ? ret_from_fork+0x3f/0x70
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1540>] ? kthread_park+0x50/0x50
>Feb 04 19:50:07 fphnbam3 kernel: note: kworker/3:0[5534] exited with preempt_count 1
>Feb 04 19:50:07 fphnbam3 kernel: BUG: unable to handle kernel paging request at ffffffffffffffd8
>Feb 04 19:50:07 fphnbam3 kernel: IP: [<ffffffff810a1ecc>] kthread_data+0xc/0x20
>Feb 04 19:50:07 fphnbam3 kernel: PGD 1e11067 PUD 1e13067 PMD 0 
>Feb 04 19:50:07 fphnbam3 kernel: Oops: 0000 [#2] SMP 
>Feb 04 19:50:07 fphnbam3 kernel: Modules linked in: ctr ccm fuse rfcomm af_packet nf_log_ipv6 xt_comment nf_log_ipv4 nf_log_common xt_LOG xt_limit sd_mod ip6t_REJECT nf_reject_ipv6 nf_conntrack_ipv6 nf_defrag_ipv6 ipt_REJECT nf_reject_ipv4 xt_pkttype xt_tcpudp iptable_filter ip6table_mangle nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 ip_tables xt_conntrack nf_conntrack ip6table_filter ip6_tables bnep x_tables msr snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp arc4 snd_hda_codec_realtek snd_hda_codec_generic kvm irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel drbg ansi_cprng snd_hda_intel nls_iso8859_1 snd_hda_codec snd_hda_core snd_hwdep nls_cp437 snd_pcm vfat fat iwlmvm snd_timer iTCO_wdt hid_generic iTCO_vendor_support uas snd
>Feb 04 19:50:07 fphnbam3 kernel:  mac80211
>Feb 04 19:50:07 fphnbam3 kernel:  uvcvideo
>Feb 04 19:50:07 fphnbam3 kernel:  aesni_intel
>Feb 04 19:50:07 fphnbam3 kernel:  videobuf2_vmalloc
>Feb 04 19:50:07 fphnbam3 kernel:  videobuf2_memops
>Feb 04 19:50:07 fphnbam3 kernel:  videobuf2_v4l2
>Feb 04 19:50:07 fphnbam3 kernel:  videobuf2_core
>Feb 04 19:50:07 fphnbam3 kernel:  e1000e
>Feb 04 19:50:07 fphnbam3 kernel:  v4l2_common
>Feb 04 19:50:07 fphnbam3 kernel:  aes_x86_64
>Feb 04 19:50:07 fphnbam3 kernel:  lrw
>Feb 04 19:50:07 fphnbam3 kernel:  gf128mul
>Feb 04 19:50:07 fphnbam3 kernel:  iwlwifi
>Feb 04 19:50:07 fphnbam3 kernel:  glue_helper
>Feb 04 19:50:07 fphnbam3 kernel:  ptp
>Feb 04 19:50:07 fphnbam3 kernel:  ablk_helper
>Feb 04 19:50:07 fphnbam3 kernel:  cryptd
>Feb 04 19:50:07 fphnbam3 kernel:  usbhid
>Feb 04 19:50:07 fphnbam3 kernel:  videodev
>Feb 04 19:50:07 fphnbam3 kernel:  usb_storage
>Feb 04 19:50:07 fphnbam3 kernel:  pcspkr
>Feb 04 19:50:07 fphnbam3 kernel:  joydev
>Feb 04 19:50:07 fphnbam3 kernel:  soundcore
>Feb 04 19:50:07 fphnbam3 kernel:  pps_core
>Feb 04 19:50:07 fphnbam3 kernel:  i2c_i801
>Feb 04 19:50:07 fphnbam3 kernel:  btusb
>Feb 04 19:50:07 fphnbam3 kernel:  cfg80211
>Feb 04 19:50:07 fphnbam3 kernel:  btrtl
>Feb 04 19:50:07 fphnbam3 kernel:  mei_me
>Feb 04 19:50:07 fphnbam3 kernel:  shpchp
>Feb 04 19:50:07 fphnbam3 kernel:  mei
>Feb 04 19:50:07 fphnbam3 kernel:  ucsi
>Feb 04 19:50:07 fphnbam3 kernel:  wmi
>Feb 04 19:50:07 fphnbam3 kernel:  thermal
>Feb 04 19:50:07 fphnbam3 kernel:  battery
>Feb 04 19:50:07 fphnbam3 kernel:  ac
>Feb 04 19:50:07 fphnbam3 kernel:  hci_uart
>Feb 04 19:50:07 fphnbam3 kernel:  btbcm
>Feb 04 19:50:07 fphnbam3 kernel:  btqca
>Feb 04 19:50:07 fphnbam3 kernel:  btintel
>Feb 04 19:50:07 fphnbam3 kernel:  bluetooth
>Feb 04 19:50:07 fphnbam3 kernel:  pinctrl_sunrisepoint
>Feb 04 19:50:07 fphnbam3 kernel:  pinctrl_intel
>Feb 04 19:50:07 fphnbam3 kernel:  rfkill
>Feb 04 19:50:07 fphnbam3 kernel:  intel_lpss_acpi
>Feb 04 19:50:07 fphnbam3 kernel:  intel_lpss
>Feb 04 19:50:07 fphnbam3 kernel:  mfd_core
>Feb 04 19:50:07 fphnbam3 kernel:  tpm_crb
>Feb 04 19:50:07 fphnbam3 kernel:  fjes
>Feb 04 19:50:07 fphnbam3 kernel:  acpi_pad
>Feb 04 19:50:07 fphnbam3 kernel:  processor
>Feb 04 19:50:07 fphnbam3 kernel:  ext4
>Feb 04 19:50:07 fphnbam3 kernel:  crc16
>Feb 04 19:50:07 fphnbam3 kernel:  jbd2
>Feb 04 19:50:07 fphnbam3 kernel:  mbcache
>Feb 04 19:50:07 fphnbam3 kernel:  serio_raw
>Feb 04 19:50:07 fphnbam3 kernel:  xhci_pci
>Feb 04 19:50:07 fphnbam3 kernel:  xhci_hcd
>Feb 04 19:50:07 fphnbam3 kernel:  usbcore
>Feb 04 19:50:07 fphnbam3 kernel:  i915(O)
>Feb 04 19:50:07 fphnbam3 kernel:  usb_common
>Feb 04 19:50:07 fphnbam3 kernel:  i2c_algo_bit
>Feb 04 19:50:07 fphnbam3 kernel:  nvme
>Feb 04 19:50:07 fphnbam3 kernel:  drm_kms_helper(O)
>Feb 04 19:50:07 fphnbam3 kernel:  syscopyarea
>Feb 04 19:50:07 fphnbam3 kernel:  sysfillrect
>Feb 04 19:50:07 fphnbam3 kernel:  sysimgblt
>Feb 04 19:50:07 fphnbam3 kernel:  nvme_core
>Feb 04 19:50:07 fphnbam3 kernel:  fb_sys_fops
>Feb 04 19:50:07 fphnbam3 kernel:  drm(O)
>Feb 04 19:50:07 fphnbam3 kernel:  i2c_hid
>Feb 04 19:50:07 fphnbam3 kernel:  video
>Feb 04 19:50:07 fphnbam3 kernel:  button
>Feb 04 19:50:07 fphnbam3 kernel:  sg
>Feb 04 19:50:07 fphnbam3 kernel:  scsi_mod
>Feb 04 19:50:07 fphnbam3 kernel:  efivarfs
>Feb 04 19:50:07 fphnbam3 kernel:  autofs4
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel: CPU: 3 PID: 5534 Comm: kworker/3:0 Tainted: G      D    O     4.4.104-39-default #1
>Feb 04 19:50:07 fphnbam3 kernel: Hardware name: LENOVO 20HGS0UN00/20HGS0UN00, BIOS N1WET35W (1.14 ) 07/12/2017
>Feb 04 19:50:07 fphnbam3 kernel: task: ffff88022ff903c0 ti: ffff88022df40000 task.ti: ffff88022df40000
>Feb 04 19:50:07 fphnbam3 kernel: RIP: 0010:[<ffffffff810a1ecc>] 
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1ecc>] kthread_data+0xc/0x20
>Feb 04 19:50:07 fphnbam3 kernel: RSP: 0018:ffff88022df43b58  EFLAGS: 00010002
>Feb 04 19:50:07 fphnbam3 kernel: RAX: 0000000000000000 RBX: 0000000000000003 RCX: 0000000000000003
>Feb 04 19:50:07 fphnbam3 kernel: RDX: ffff880187d0e040 RSI: 0000000000000003 RDI: ffff88022ff903c0
>Feb 04 19:50:07 fphnbam3 kernel: RBP: ffff88022df43ba8 R08: 0000000000002000 R09: 0000000000000001
>Feb 04 19:50:07 fphnbam3 kernel: R10: 00000d25cc142d8e R11: ffffffff823f4fe0 R12: 0000000000016440
>Feb 04 19:50:07 fphnbam3 kernel: R13: 0000000000000000 R14: 0000000000000003 R15: ffff88022ff903c0
>Feb 04 19:50:07 fphnbam3 kernel: FS:  0000000000000000(0000) GS:ffff88025e580000(0000) knlGS:0000000000000000
>Feb 04 19:50:07 fphnbam3 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
>Feb 04 19:50:07 fphnbam3 kernel: CR2: 0000000000000028 CR3: 0000000001e0c000 CR4: 0000000000360670
>Feb 04 19:50:07 fphnbam3 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
>Feb 04 19:50:07 fphnbam3 kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
>Feb 04 19:50:07 fphnbam3 kernel: Stack:
>Feb 04 19:50:07 fphnbam3 kernel:  ffffffff8109c83d
>Feb 04 19:50:07 fphnbam3 kernel:  ffff88025e596440
>Feb 04 19:50:07 fphnbam3 kernel:  ffffffff81630045
>Feb 04 19:50:07 fphnbam3 kernel:  ffffffff810839b4
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel:  ffff88022ff903c0
>Feb 04 19:50:07 fphnbam3 kernel:  ffff88022ff903c0
>Feb 04 19:50:07 fphnbam3 kernel:  ffff88022df43bf0
>Feb 04 19:50:07 fphnbam3 kernel:  ffff88022ff903c0
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel:  0000000000000046
>Feb 04 19:50:07 fphnbam3 kernel:  ffff880186f84040
>Feb 04 19:50:07 fphnbam3 kernel:  ffff88022df43bc0
>Feb 04 19:50:07 fphnbam3 kernel:  ffffffff810af402
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel: Call Trace:
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109c83d>] wq_worker_sleeping+0xd/0x90
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81630045>] thread_return+0x31c/0x5a7
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810af402>] do_task_dead+0x42/0x50
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81085334>] do_exit+0x6b4/0xb60
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8101ab5c>] oops_end+0x9c/0xd0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81067db7>] no_context+0x107/0x370
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810688a4>] __do_page_fault+0x84/0x4e0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81068d2b>] do_page_fault+0x2b/0x70
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81637578>] page_fault+0x28/0x30
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel: DWARF2 unwinder stuck at page_fault+0x28/0x30
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel: Leftover inexact backtrace:
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8110509f>] ? timecounter_read+0xf/0x50
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffffa07b9bff>] ? e1000e_phc_gettime+0x2f/0x60 [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffffa07b9d4d>] ? e1000e_systim_overflow_work+0x1d/0x80 [e1000e]
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109b425>] ? process_one_work+0x155/0x440
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109bfe6>] ? worker_thread+0x116/0x4c0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109bed0>] ? rescuer_thread+0x350/0x350
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff8109bed0>] ? rescuer_thread+0x350/0x350
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1612>] ? kthread+0xd2/0xf0
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1540>] ? kthread_park+0x50/0x50
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff81634e5f>] ? ret_from_fork+0x3f/0x70
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1540>] ? kthread_park+0x50/0x50
>Feb 04 19:50:07 fphnbam3 kernel: Code: 
>Feb 04 19:50:07 fphnbam3 kernel: 41 
>Feb 04 19:50:07 fphnbam3 kernel: 5c 
>Feb 04 19:50:07 fphnbam3 kernel: c3 
>Feb 04 19:50:07 fphnbam3 kernel: 48 
>Feb 04 19:50:07 fphnbam3 kernel: 39 
>Feb 04 19:50:07 fphnbam3 kernel: 6b 
>Feb 04 19:50:07 fphnbam3 kernel: 20 
>Feb 04 19:50:07 fphnbam3 kernel: ba 
>Feb 04 19:50:07 fphnbam3 kernel: 01 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 75 
>Feb 04 19:50:07 fphnbam3 kernel: bd 
>Feb 04 19:50:07 fphnbam3 kernel: 48 
>Feb 04 19:50:07 fphnbam3 kernel: 8b 
>Feb 04 19:50:07 fphnbam3 kernel: 43 
>Feb 04 19:50:07 fphnbam3 kernel: 08 
>Feb 04 19:50:07 fphnbam3 kernel: eb 
>Feb 04 19:50:07 fphnbam3 kernel: 94 
>Feb 04 19:50:07 fphnbam3 kernel: 48 
>Feb 04 19:50:07 fphnbam3 kernel: 89 
>Feb 04 19:50:07 fphnbam3 kernel: df 
>Feb 04 19:50:07 fphnbam3 kernel: e8 
>Feb 04 19:50:07 fphnbam3 kernel: 73 
>Feb 04 19:50:07 fphnbam3 kernel: f7 
>Feb 04 19:50:07 fphnbam3 kernel: ff 
>Feb 04 19:50:07 fphnbam3 kernel: ff 
>Feb 04 19:50:07 fphnbam3 kernel: eb 
>Feb 04 19:50:07 fphnbam3 kernel: ab 
>Feb 04 19:50:07 fphnbam3 kernel: 90 
>Feb 04 19:50:07 fphnbam3 kernel: 0f 
>Feb 04 19:50:07 fphnbam3 kernel: 1f 
>Feb 04 19:50:07 fphnbam3 kernel: 44 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 48 
>Feb 04 19:50:07 fphnbam3 kernel: 8b 
>Feb 04 19:50:07 fphnbam3 kernel: 87 
>Feb 04 19:50:07 fphnbam3 kernel: 78 
>Feb 04 19:50:07 fphnbam3 kernel: 09 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: <48> 
>Feb 04 19:50:07 fphnbam3 kernel: 8b 
>Feb 04 19:50:07 fphnbam3 kernel: 40 
>Feb 04 19:50:07 fphnbam3 kernel: d8 
>Feb 04 19:50:07 fphnbam3 kernel: c3 
>Feb 04 19:50:07 fphnbam3 kernel: 0f 
>Feb 04 19:50:07 fphnbam3 kernel: 1f 
>Feb 04 19:50:07 fphnbam3 kernel: 44 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 66 
>Feb 04 19:50:07 fphnbam3 kernel: 2e 
>Feb 04 19:50:07 fphnbam3 kernel: 0f 
>Feb 04 19:50:07 fphnbam3 kernel: 1f 
>Feb 04 19:50:07 fphnbam3 kernel: 84 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 00 
>Feb 04 19:50:07 fphnbam3 kernel: 0f 
>Feb 04 19:50:07 fphnbam3 kernel: 
>Feb 04 19:50:07 fphnbam3 kernel: RIP 
>Feb 04 19:50:07 fphnbam3 kernel:  [<ffffffff810a1ecc>] kthread_data+0xc/0x20
>Feb 04 19:50:07 fphnbam3 kernel:  RSP <ffff88022df43b58>
>Feb 04 19:50:07 fphnbam3 kernel: CR2: ffffffffffffffd8
>Feb 04 19:50:07 fphnbam3 kernel: ---[ end trace 216615a65e842a36 ]---
>Feb 04 19:50:07 fphnbam3 kernel: Fixing recursive fault but reboot is needed!
Comment 6 Takashi Iwai 2018-04-16 06:44:55 UTC
Sorry, I've overlooked the last update since I was on vacation.

So the crash comes at timercounter_read(), and it's likely an uninitialized timecounter struct.  Maybe e1000e_phc_gettime() gets called before e1000e_phc_settime()?  As far as I read the code, the driver initializes the adapter->tc only at *_settime().

If my guess is correct, the fix would be to initialize adapter->tc at the beginning, e.g.

diff --git a/drivers/net/ethernet/intel/e1000e/ptp.c b/drivers/net/ethernet/int\
el/e1000e/ptp.c
--- a/drivers/net/ethernet/intel/e1000e/ptp.c
+++ b/drivers/net/ethernet/intel/e1000e/ptp.c
@@ -324,6 +324,8 @@ void e1000e_ptp_init(struct e1000_adapter *adapter)
                        e1000e_phc_getcrosststamp;
 #endif/*CONFIG_E1000E_HWTS*/
 
+       timecounter_init(&adapter->tc, &adapter->cc, 0);
+
	INIT_DELAYED_WORK(&adapter->systim_overflow_work,
                      e1000e_systim_overflow_work);
Comment 7 Takashi Iwai 2018-04-16 07:17:36 UTC
A test kernel including the fix patch is being built on OBS home:tiwai:bnc1075876 repo.
It'll take some time (an hour or so) until the build finishes.  Please git it a try later.
Comment 8 Benjamin Poirier 2018-04-17 05:41:57 UTC
I also started to look at this case. The problem is that tc->cc is null.

We have the following disasembly:
	Upon entering timecounter_read()
	rdi contains struct timecounter *tc

50              cycle_now = tc->cc->read(tc->cc);
   0xffffffff81105096 <+6>:     mov    (%rdi),%rax
	offsetof(struct timecounter, cc) = 0
	rax contains tc->cc, 0

61
62              return ns_offset;
63      }
64
65      u64 timecounter_read(struct timecounter *tc)
66      {
   0xffffffff81105099 <+9>:     mov    %rdi,%rbx
	We get the saved value of rdi (tc) in rbx, ffff88025476b7a0

50              cycle_now = tc->cc->read(tc->cc);
   0xffffffff8110509c <+12>:    mov    %rax,%rdi
   0xffffffff8110509f <+15>:    callq  *(%rax)
	offsetof(struct cyclecounter, read) = 0
	This is the null deref (deref of cc), tc->cc->read
	We already know that cc is null.

The crash occurs after 4 hours because of:

\ e1000e_ptp_init
	INIT_DELAYED_WORK
	schedule_delayed_work(..., 4hours)

tc should be initialized by:

\ e1000_probe
	\ e1000e_reset
		\ e1000e_systim_reset
			timecounter_init(&adapter->tc, &adapter->cc,
					 ktime_to_ns(ktime_get_real()));

This kernel includes a backport of 
aa524b66c5ef e1000e: don't modify SYSTIM registers during SIOCSHWTSTAMP ioctl (v4.7-rc1)
This was backported for SLE12SP3.

From this commit we can see that e1000e_systim_reset() may exit before
timecounter_init() if ret_val. Indeed, in the log from comment 4 we see
Feb 04 15:49:22 fphnbam3 kernel: e1000e 0000:00:1f.6: Failed to restore TIMINCA clock rate delta: -22
which explains that e1000e_systim_reset() exited early and tc is not
initialized.

I'm not sure where the -EINVAL comes from, how come it only occurs sometimes
(according to the launchpad report linked to in comment 4) and why it seems
this only affects 4.4 stable kernels (I didn't find reports on other
versions).
Comment 9 Achim Mildenberger 2018-04-18 13:55:27 UTC
Created attachment 767593 [details]
Frequency of TIMINCA EINVAL after boot

Thank you for the for the customized kernel, I have it now running. The "Oops" are quite rare, about one in a month. So I expect the test will take some time.

Regarding to comment #8:
The message
  kernel: e1000e 0000:00:1f.6: Failed to restore TIMINCA clock rate delta: -22
appears quite frequently after booting. I'll attach the output of the following command for the last few days.
# journalctl | grep -e "Linux version" -e TIMINCA
(The laptop is not always running for four hours.)
Comment 10 Benjamin Poirier 2018-04-20 08:04:22 UTC
The patch from comment 6 will likely prevent the oops but I don't think it's
correct for ptp operation to do timecounter_init() with 0.
In any case, since the "Failed to restore TIMINCA clock rate delta" message
occurs frequently I've extended Takashi's kernel with another patch to log
more information about where the failure comes from and possibly try a
workaround.
Could you install the kernel from project
home:benjamin_poirier:branches:home:tiwai:bnc1075876. After a boot when the 
"Failed to restore TIMINCA clock rate delta" message occurs, please include
dmesg. It should have messages like "Failure via adjfreq" and "No SYSCFI in
TSYNCRXCTL".
https://download.opensuse.org/repositories/home:/benjamin_poirier:/branches:/home:/tiwai:/bnc1075876/standard/
Comment 11 Achim Mildenberger 2018-04-20 09:41:57 UTC
Test with 4.4.127-3.g662314f-default:
"Failure via adjfreq" appears, but no "No SYSCFI in TSYNCRXCTL".
I post some lines from dmesg below. If this is not sufficient, please don't hesitate asking for more output.
Thank you, Achim


fphnbam3:/usr/src # dmesg | grep -e "e1000" -e "Linux version" -e"TSYNCRXCTL"
[    0.000000] Linux version 4.4.127-3.g662314f-default (geeko@buildhost) (gcc version 4.8.5 (SUSE Linux) ) #1 SMP Mon Apr 16 07:16:05 UTC 2018 (662314f)
[    5.692949] e1000e: Intel(R) PRO/1000 Network Driver - 3.2.6-k
[    5.692951] e1000e: Copyright(c) 1999 - 2015 Intel Corporation.
[    5.697740] e1000e 0000:00:1f.6: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    5.796742] e1000e 0000:00:1f.6 0000:00:1f.6 (uninitialized): registered PHC clock
[    5.890126] e1000e 0000:00:1f.6: Failure via adjfreq
[    5.890129] e1000e 0000:00:1f.6: Failed to restore TIMINCA clock rate delta: -22
[    5.890882] e1000e 0000:00:1f.6 eth0: (PCI Express:2.5GT/s:Width x1) 54:e1:ad:7a:6c:ed
[    5.890884] e1000e 0000:00:1f.6 eth0: Intel(R) PRO/1000 Network Connection
[    5.890927] e1000e 0000:00:1f.6 eth0: MAC: 12, PHY: 12, PBA No: 1000FF-0FF
[    6.787012] e1000e 0000:00:1f.6: Failure via adjfreq
[    6.787014] e1000e 0000:00:1f.6: Failed to restore TIMINCA clock rate delta: -22
[    8.430980] e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: Rx/Tx
[    8.430988] e1000e 0000:00:1f.6 eth0: 10/100 speed: disabling TSO
Comment 12 Achim Mildenberger 2018-04-20 13:33:25 UTC
My last response was a bit hasty. Here is another case:

fphnbam3:~ # dmesg | grep -e "Linux version" -e "SYSCFI" -e "e1000"
[    0.000000] Linux version 4.4.127-3.g662314f-default (geeko@buildhost) (gcc version 4.8.5 (SUSE Linux) ) #1 SMP Mon Apr 16 07:16:05 UTC 2018 (662314f)
[    6.248799] e1000e: Intel(R) PRO/1000 Network Driver - 3.2.6-k
[    6.248801] e1000e: Copyright(c) 1999 - 2015 Intel Corporation.
[    6.249042] e1000e 0000:00:1f.6: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    6.370341] e1000e 0000:00:1f.6 0000:00:1f.6 (uninitialized): registered PHC clock
[    6.454741] e1000e 0000:00:1f.6: No SYSCFI in TSYNCRXCTL: 0
[    6.556163] e1000e 0000:00:1f.6: Failure via adjfreq
[    6.556166] e1000e 0000:00:1f.6: Failed to restore TIMINCA clock rate delta: -22
[    6.556625] e1000e 0000:00:1f.6 eth0: (PCI Express:2.5GT/s:Width x1) 54:e1:ad:7a:6c:ed
[    6.556627] e1000e 0000:00:1f.6 eth0: Intel(R) PRO/1000 Network Connection
[    6.556670] e1000e 0000:00:1f.6 eth0: MAC: 12, PHY: 12, PBA No: 1000FF-0FF
[    7.143206] e1000e 0000:00:1f.6: Failure via adjfreq
[    7.143208] e1000e 0000:00:1f.6: Failed to restore TIMINCA clock rate delta: -22
Comment 13 Benjamin Poirier 2018-04-23 08:04:03 UTC
Created attachment 767941 [details]
e1000e: Log e1000e_get_base_timinca failures on spt macs (v2)

Thank you for the quick logs. Due to my mistake there was a problem in the
debugging patch which made the code always fail ("break" was moved inside a
for-loop and no longer exited the switch-case). I believe the cases with only
"Failure via adjfreq" would normally have been successes (ie. no "Failed to
restore TIMINCA clock rate delta") however the one case (comment 12) with "No
SYSCFI in TSYNCRXCTL: 0" is a genuine failure and shows the cause of the usual
problem.

To confirm that I've updated the kernel package in the
home:benjamin_poirier:branches:home:tiwai:bnc1075876 project with a
(hopefully) fixed debugging patch and removed Takashi's ~workaround. I've also
reduced E1000_SYSTIM_OVERFLOW_PERIOD from 4 hours to 10 mins so a crash should
occur sooner if the problem is not fixed. As instructed in comment 10, after a
boot when the "Failed to restore TIMINCA clock rate delta" message occurs,
please include dmesg. Also report if a similar oops occurs again.
Comment 14 Achim Mildenberger 2018-04-23 18:18:28 UTC
Created attachment 768018 [details]
Test with kernel 4.4.127-4.g662314f-default

Dear Benjamin, thanks a lot! Seems to work.

Since I'd like to understand a bit more, may I ask some questions?

Why does it sometimes need a second attempt to get a response from "er32(TSYNCRXCTL) & E1000_TSYNCRXCTL_SYSCFI" in netdev.c?
Your test would try up to ten times but up to now I only observed failed first attempts.

Does this problem only affect kernel 4.4 and is not happening in newer kernels? The code in file netdev.c, function e1000e_get_base_timinca looks unchanged for me when accessing the adapter variant "spt".

Thanks again, Achim
Comment 15 Benjamin Poirier 2018-04-24 08:24:37 UTC
Created attachment 768067 [details]
e1000e: Log and workaround e1000e_get_base_timinca failures on spt macs

Thanks again for the quick feedback.

(In reply to Achim Mildenberger from comment #14)
> Created attachment 768018 [details]
> Test with kernel 4.4.127-4.g662314f-default

That's very interesting. I thought the problem would occur only at boot but it
seems it can happen any time TSYNCRXCTL is read.

> 
> Dear Benjamin, thanks a lot! Seems to work.
> 
> Since I'd like to understand a bit more, may I ask some questions?
> 
> Why does it sometimes need a second attempt to get a response from
> "er32(TSYNCRXCTL) & E1000_TSYNCRXCTL_SYSCFI" in netdev.c?
> Your test would try up to ten times but up to now I only observed failed
> first attempts.

The intel 82574 datasheet (ยง10.2.9.1) contains information about the
TSYNCRXCTL register but bit 5 (E1000_TSYNCRXCTL_SYSCFI) is simply marked
"Reserved". From comments removed in commit 83129b37ef35 ("e1000e: fix systim
issues"), SYSCFI stands for "System Clock Frequency Indication". From the
comment "Stable 24MHz frequency" I assumed that it reads 1 once the clock has
had enough time to initialize and be stable but I'm not so sure anymore after
seeing the log in comment 14. I don't know why it works sometimes but not
others, 10x100ms tries just seemed like reasonable values to try.

I don't know if the behavior we observed is intentional or not. I will raise
the question on the intel-wired-lan mailing list but first, ...

> 
> Does this problem only affect kernel 4.4 and is not happening in newer
> kernels? The code in file netdev.c, function e1000e_get_base_timinca looks
> unchanged for me when accessing the adapter variant "spt".

... I wonder about the same thing. I also looked at the code paths and came to
the same conclusion.

It seems like the following could be reports of the same problem on more
recent kernels:
https://bugzilla.redhat.com/show_bug.cgi?id=1463882
https://bugzilla.redhat.com/show_bug.cgi?id=1431863

If you don't mind testing another kernel, I've prepared a kernel package in
project home:benjamin_poirier:bsc1075876, based on the "master" openSUSE
branch (v4.16) with a similar debugging patch. Could you please try it and
report if you see the "No SYSCFI in TSYNCRXCTL" message with this kernel?
https://download.opensuse.org/repositories/home:/benjamin_poirier:/bsc1075876/standard
Comment 16 Achim Mildenberger 2018-04-25 05:52:22 UTC
Created attachment 768193 [details]
Test with kernel 4.16.3-1.g2fd48c5-default

Thanks for the customized 4.16.3 kernel.
Attached is a log of your kernel 4.16.3-1.g2fd48c5-default. Took some reboots, but finally "No SYSCFI in TSYNCRXCTL" happened. The reached uptime is fine.

The log in #14 shows a "No SYSCFI in TSYNCRXCTL" during shutdown, it's not during regular use. Well, I don't know whether this is relevant.

Thank you very much for your explanations! It's a weird situation that kernel developers have to rely on "reserved flags" or "undocumented features".
Comment 17 Benjamin Poirier 2018-05-02 07:56:56 UTC
https://www.mail-archive.com/netdev@vger.kernel.org/msg231452.html
No update from Intel... probably time to send a patch.

The simplest approach would be to remove the problematic TSYNCRXCTL read in
e1000e_get_base_timinca() and set the clock parameters unconditionally, like
for the 82574 case just below. I've prepared a patch which does that and also
adds some logging (for debugging only, not submission). It would also be
important to know if the ptp hardware clock (PHC) still works at that point,
for that I think we can use phc_ctl which leads to a call of
e1000e_phc_gettime().

Please install the updated kernel package from the
home:benjamin_poirier:bsc1075876 project once it has finished building (link
in comment 15, version should contain "g5227f0d") and install the linuxptp
package. Upon a reboot when you see the "No SYSCFI in TSYNCRXCTL [...]" in
dmesg, run
phc_ctl /dev/ptp0 cmp && sleep 60 && phc_ctl /dev/ptp0 cmp

Please provide the dmesg line with the values after "No SYSCFI in TSYNCRXCTL"
and the output of the phc_ctl command.
Comment 18 Achim Mildenberger 2018-05-02 18:50:45 UTC
Created attachment 768862 [details]
output of 4.16.6-1.g5227f0d

Hi, thanks for the kernel. Attached is the output you asked for.
Is this change in clock offsets acceptable? 
The change seems to be in the same order when SYSFCI succeeds.
Comment 19 Benjamin Poirier 2018-06-28 08:11:55 UTC
Thanks for all of your debugging help. A fix has been accepted upstream:
fff200caf6f9 e1000e: Ignore TSYNCRXCTL when getting I219 clock attributes (v4.18-rc1)

I've added a backport to the following branches:

SLE12-SP3 : 4.4.138
	pushed to fc0245eb85
SLE15 : 4.12.14
	pushed to abb70b0713

It will be merged from there to the openSUSE-42.3 and 15.0 branches.
Comment 20 Achim Mildenberger 2018-06-28 10:12:26 UTC
Thanks a lot for your help and your expertise!
It's been very interesting for me to see how your patch comes into the main kernel tree. 
Regards, Achim
Comment 26 Swamp Workflow Management 2018-07-18 06:06:11 UTC
This is an autogenerated message for OBS integration:
This bug (1075876) was mentioned in
https://build.opensuse.org/request/show/623531 42.3 / kernel-source
https://build.opensuse.org/request/show/623532 15.0 / kernel-source
Comment 28 Swamp Workflow Management 2018-07-24 16:09:44 UTC
SUSE-SU-2018:2051-1: An update that solves four vulnerabilities and has 44 fixes is now available.

Category: security (important)
Bug References: 1012382,1064232,1075876,1076110,1085185,1085657,1089525,1090435,1090888,1091171,1092207,1094244,1094248,1094643,1095453,1096790,1097034,1097140,1097492,1097501,1097551,1097808,1097931,1097961,1098016,1098236,1098425,1098435,1098527,1098599,1099042,1099183,1099279,1099713,1099732,1099792,1099810,1099918,1099924,1099966,1099993,1100089,1100340,1100416,1100418,1100491,1100843,1101296
CVE References: CVE-2018-13053,CVE-2018-13405,CVE-2018-13406,CVE-2018-9385
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    kernel-default-4.4.140-94.42.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-4.4.140-94.42.1, kernel-obs-build-4.4.140-94.42.1
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-default-4.4.140-94.42.1, kernel-source-4.4.140-94.42.1, kernel-syms-4.4.140-94.42.1
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_15-1-4.3.1
SUSE Linux Enterprise High Availability 12-SP3 (src):    kernel-default-4.4.140-94.42.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    kernel-default-4.4.140-94.42.1, kernel-source-4.4.140-94.42.1, kernel-syms-4.4.140-94.42.1
SUSE CaaS Platform ALL (src):    kernel-default-4.4.140-94.42.1
SUSE CaaS Platform 3.0 (src):    kernel-default-4.4.140-94.42.1
Comment 29 Swamp Workflow Management 2018-07-28 13:10:39 UTC
openSUSE-SU-2018:2118-1: An update that solves four vulnerabilities and has 44 fixes is now available.

Category: security (important)
Bug References: 1012382,1064232,1075876,1076110,1085185,1085657,1089525,1090435,1090888,1091171,1092207,1094244,1094248,1094643,1095453,1096790,1097034,1097140,1097492,1097501,1097551,1097808,1097931,1097961,1098016,1098236,1098425,1098435,1098527,1098599,1099042,1099183,1099279,1099713,1099732,1099792,1099810,1099918,1099924,1099966,1099993,1100089,1100340,1100416,1100418,1100491,1100843,1101296
CVE References: CVE-2018-13053,CVE-2018-13405,CVE-2018-13406,CVE-2018-9385
Sources used:
openSUSE Leap 42.3 (src):    kernel-debug-4.4.140-62.2, kernel-default-4.4.140-62.2, kernel-docs-4.4.140-62.2, kernel-obs-build-4.4.140-62.3, kernel-obs-qa-4.4.140-62.1, kernel-source-4.4.140-62.2, kernel-syms-4.4.140-62.1, kernel-vanilla-4.4.140-62.2
Comment 30 Swamp Workflow Management 2018-07-28 13:28:04 UTC
openSUSE-SU-2018:2119-1: An update that solves 23 vulnerabilities and has 283 fixes is now available.

Category: security (important)
Bug References: 1022476,1046303,1046305,1046306,1046307,1046540,1046542,1046543,1048129,1050242,1050252,1050529,1050536,1050538,1050545,1050549,1050662,1051510,1052766,1055117,1055186,1055968,1056427,1056643,1056651,1056653,1056657,1056658,1056662,1056686,1056787,1058115,1058513,1058659,1058717,1059336,1060463,1061024,1061840,1062897,1064802,1065600,1065729,1066110,1066129,1068032,1068054,1068546,1071218,1071995,1072829,1072856,1073513,1073765,1073960,1074562,1074578,1074701,1074741,1074873,1074919,1074984,1075006,1075007,1075262,1075419,1075748,1075876,1076049,1076115,1076372,1076830,1077338,1078248,1078353,1079152,1079747,1080039,1080157,1080542,1081599,1082485,1082504,1082869,1082962,1083647,1083684,1083900,1084001,1084570,1084721,1085308,1085341,1085400,1085539,1085626,1085933,1085936,1085937,1085938,1085939,1085941,1086224,1086282,1086283,1086286,1086288,1086319,1086323,1086400,1086467,1086652,1086739,1087084,1087088,1087092,1087205,1087210,1087213,1087214,1087284,1087405,1087458,1087939,1087978,1088273,1088354,1088374,1088690,1088704,1088713,1088722,1088796,1088804,1088821,1088866,1088872,1089074,1089086,1089115,1089141,1089198,1089268,1089271,1089467,1089608,1089644,1089663,1089664,1089667,1089669,1089752,1089753,1089762,1089878,1089889,1089977,1090098,1090150,1090457,1090522,1090534,1090535,1090605,1090643,1090646,1090658,1090717,1090734,1090818,1090888,1090953,1091101,1091158,1091171,1091264,1091424,1091532,1091543,1091594,1091666,1091678,1091686,1091781,1091782,1091815,1091860,1091960,1092100,1092289,1092472,1092566,1092710,1092772,1092888,1092904,1092975,1093023,1093027,1093035,1093118,1093148,1093158,1093184,1093205,1093273,1093290,1093604,1093641,1093649,1093653,1093655,1093657,1093663,1093721,1093728,1093904,1093990,1094244,1094356,1094420,1094541,1094575,1094751,1094825,1094840,1094978,1095042,1095094,1095104,1095115,1095155,1095265,1095321,1095337,1095467,1095573,1095735,1095893,1096065,1096480,1096529,1096696,1096705,1096728,1096753,1096790,1096793,1097034,1097105,1097234,1097356,1097373,1097439,1097465,1097468,1097470,1097471,1097472,1097551,1097780,1097796,1097800,1097941,1097961,1098016,1098043,1098050,1098174,1098176,1098236,1098401,1098425,1098435,1098599,1098626,1098706,1098983,1098995,1099029,1099041,1099109,1099142,1099183,1099715,1099792,1099918,1099924,1099966,1100132,1100209,1100340,1100362,1100382,1100416,1100418,1100491,1100602,1100633,1100734,1100843,1101296,1101315,1101324,971975,975772
CVE References: CVE-2017-5715,CVE-2017-5753,CVE-2018-1000200,CVE-2018-1000204,CVE-2018-10087,CVE-2018-10124,CVE-2018-10323,CVE-2018-1092,CVE-2018-1093,CVE-2018-1094,CVE-2018-1108,CVE-2018-1118,CVE-2018-1120,CVE-2018-1130,CVE-2018-12233,CVE-2018-13053,CVE-2018-13405,CVE-2018-13406,CVE-2018-5803,CVE-2018-5848,CVE-2018-7492,CVE-2018-8781,CVE-2018-9385
Sources used:
openSUSE Leap 15.0 (src):    kernel-debug-4.12.14-lp150.12.7.1, kernel-default-4.12.14-lp150.12.7.1, kernel-docs-4.12.14-lp150.12.7.1, kernel-kvmsmall-4.12.14-lp150.12.7.1, kernel-obs-build-4.12.14-lp150.12.7.1, kernel-obs-qa-4.12.14-lp150.12.7.1, kernel-source-4.12.14-lp150.12.7.1, kernel-syms-4.12.14-lp150.12.7.1, kernel-vanilla-4.12.14-lp150.12.7.1
Comment 31 Swamp Workflow Management 2018-07-31 16:11:34 UTC
SUSE-SU-2018:2150-1: An update that solves 5 vulnerabilities and has 47 fixes is now available.

Category: security (important)
Bug References: 1012382,1068032,1074562,1074578,1074701,1075006,1075419,1075748,1075876,1080039,1085185,1085657,1087084,1087939,1089525,1090435,1090888,1091171,1092207,1094244,1094248,1094643,1095453,1096790,1097034,1097140,1097492,1097501,1097551,1097808,1097931,1097961,1098016,1098236,1098425,1098435,1098527,1099042,1099183,1099279,1099713,1099732,1099810,1099918,1099924,1099966,1099993,1100089,1100340,1100416,1100418,1100491
CVE References: CVE-2017-5753,CVE-2018-13053,CVE-2018-13405,CVE-2018-13406,CVE-2018-9385
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP3 (src):    kernel-rt-4.4.139-3.17.1, kernel-rt_debug-4.4.139-3.17.1, kernel-source-rt-4.4.139-3.17.1, kernel-syms-rt-4.4.139-3.17.1
Comment 33 Swamp Workflow Management 2018-08-06 22:12:47 UTC
SUSE-SU-2018:2222-1: An update that solves 8 vulnerabilities and has 132 fixes is now available.

Category: security (important)
Bug References: 1012382,1037697,1046299,1046300,1046302,1046303,1046305,1046306,1046307,1046533,1046543,1048129,1050242,1050529,1050536,1050538,1050540,1050549,1051510,1054245,1056651,1056787,1058115,1058169,1058659,1060463,1066110,1068032,1075087,1075360,1075876,1077338,1077761,1077989,1078248,1085042,1085536,1085539,1086282,1086283,1086286,1086301,1086313,1086314,1086319,1086323,1086324,1086457,1086652,1087092,1087202,1087217,1087233,1087978,1088821,1088866,1090098,1090888,1091041,1091171,1091424,1091860,1092472,1093035,1093118,1093148,1093290,1093666,1094119,1094244,1094978,1095155,1095337,1096330,1096529,1096790,1096793,1097034,1097583,1097584,1097585,1097586,1097587,1097588,1097941,1097961,1098050,1098236,1098401,1098599,1098626,1098633,1098706,1098983,1098995,1099029,1099041,1099109,1099142,1099183,1099193,1099715,1099792,1099918,1099924,1099966,1100132,1100209,1100340,1100362,1100382,1100416,1100418,1100491,1100602,1100633,1100843,1100884,1101143,1101296,1101315,1101324,1101337,1101352,1101564,1101669,1101674,1101789,1101813,1101816,1102088,1102097,1102147,1102340,1102512,1102851,1103216,1103220,1103230,1103421
CVE References: CVE-2017-18344,CVE-2017-5753,CVE-2018-1118,CVE-2018-13053,CVE-2018-13405,CVE-2018-13406,CVE-2018-5390,CVE-2018-9385
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15 (src):    kernel-azure-4.12.14-5.8.1, kernel-source-azure-4.12.14-5.8.1, kernel-syms-azure-4.12.14-5.8.1